﻿/**Begin D:\PDM_UPGRADE\PDM1\HCSI_constraint.sql **/
 EXEC P_ALTERPK 'PK_HCSI_EVENT', 'T_HCSI_EVENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCSI_EVENT') CREATE INDEX IDX_HCSI_EVENT ON T_HCSI_EVENT ( FOPERATEDATE );


 EXEC P_ALTERPK 'PK_HCSI_BUSIEVENTREL', 'T_HCSI_BUSIEVENTREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCSI_BUSIEVENTREL') CREATE INDEX IDX_HCSI_BUSIEVENTREL ON T_HCSI_BUSIEVENTREL ( FEVENTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCSI_BUSIEVENTREL_FBOID') CREATE INDEX IDX_HCSI_BUSIEVENTREL_FBOID ON T_HCSI_BUSIEVENTREL ( FBOID );


 EXEC P_ALTERPK 'PK_HCSI_EVENTRELHIS', 'T_HCSI_EVENTRELHIS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCSI_EVENTRELHIS') CREATE INDEX IDX_HCSI_EVENTRELHIS ON T_HCSI_EVENTRELHIS ( FBUSIEVENTID );


 EXEC P_ALTERPK 'PK_HCSI_SINSURFILE', 'T_HCSI_SINSURFILE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCSI_SINSURFILE') CREATE INDEX IDX_HCSI_SINSURFILE ON T_HCSI_SINSURFILE ( FNUMBER );

/**删除之前的索引**/
/*
由于基线BT-01055128出现错误提示不能在p_DropIdx前面加if语句(本地测试都是可以，基线这个环境目前找不到)
所以，先将这2个SQL注释掉，注释掉后的结果是：
1、只上了1128版本的，是错误的索引名。
2、上了十二月迭代一补丁的，是正确的索引名。
3、未来的新用户，没有索引。

处理方案：
1、推动平台解决p_DropIdx加tablename判断索引是否存在。
2、待平台处理好后，再新加一个脚本把这2个sql添加进去，即可解决上面1和3的问题。

IF EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_SALARYFILE_FBOID' AND KSQL_TABNAME = 'T_HCSI_SINSURFILE') EXEC p_DropIdx 'IDX_HSAS_SALARYFILE_FBOID', 'T_HCSI_SINSURFILE';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCSI_SINSURFILE_FBOID') CREATE INDEX IDX_HCSI_SINSURFILE_FBOID ON T_HCSI_SINSURFILE ( FBOID );

*/

 EXEC P_ALTERPK 'PK_HCSI_SINSURFILE_L', 'T_HCSI_SINSURFILE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCSI_SINSURFILE_L') CREATE INDEX IDX_HCSI_SINSURFILE_L ON T_HCSI_SINSURFILE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCSI_SINSURPERSON', 'T_HCSI_SINSURPERSON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCSI_SINSURPERSON_FBOID') CREATE INDEX IDX_HCSI_SINSURPERSON_FBOID ON T_HCSI_SINSURPERSON ( FBOID );


 EXEC P_ALTERPK 'PK_HCSI_SINSURPERSON_L', 'T_HCSI_SINSURPERSON_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCSI_SINSURPERSON_L') CREATE INDEX IDX_HCSI_SINSURPERSON_L ON T_HCSI_SINSURPERSON_L ( FID ,FLOCALEID );


 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCSI_SINSURFILE_EMPLOYEE') CREATE INDEX IDX_HCSI_SINSURFILE_EMPLOYEE ON T_HCSI_SINSURFILE ( FEMPLOYEEID ,FWELFAREPAYERID ,FSTATUS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCSI_SINSURPERSON_EMP') CREATE INDEX IDX_HCSI_SINSURPERSON_EMP ON T_HCSI_SINSURPERSON ( FEMPLOYEEID ,FPLACEOFWELFAREID ,FSTATUS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCSI_SINSURPERSON_ACT') CREATE INDEX IDX_HCSI_SINSURPERSON_ACT ON T_HCSI_SINSURPERSON ( FSINSURACCOUNT );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCSI_SINSURPERSON_HOUACT') CREATE INDEX IDX_HCSI_SINSURPERSON_HOUACT ON T_HCSI_SINSURPERSON ( FHOUSINGFUNDAC );


/**End D:\PDM_UPGRADE\PDM1\HCSI_constraint.sql **/
